Inhalte

# Anweisung Seek#

Legt die Position für den nächsten Schreib- oder Lesevorgang in einer Datei fest, die mit der Anweisung Open geöffnet wurde.

Bei Direktzugriffsdateien bestimmt die Anweisung Seek die Datensatznummer des nächsten Datensatzes, auf den zugegriffen werden soll.

Für alle anderen Dateien legt die Anweisung Seek die Position des Bytes innerhalb der geöffneten Datei fest, an der der nächste Vorgang stattfinden soll.

### Syntax:

    Seek [#]DateiPos, {DateiPos|DSatzNum}

## Parameter:

DateiNum: Die Datenkanalnummer, die in der Anweisung Open verwendet wird.

DateiPos, DSatzNum: Position für das nächste Schreiben oder Lesen. Position kann eine Zahl zwischen 1 und 2.147.483.647 sein. Je nach Dateityp gibt die Position die Nummer des Datensatzes (Dateien im Random-Modus) oder die Byte-Position (Dateien im Binär-, Ausgabe-, Anfüge- oder Eingabemodus) an. Das erste Byte in einer Datei ist Position 1, das zweite Byte ist Position 2 und so weiter.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch

Verwandte Themen

Anweisung Open

Funktion Seek